singleton Material(semi_cab)
{
    mapTo = "semi_cab";
    diffuseMap[2] = "vehicles/semi/semi_cab_c.dds";
    specularMap[2] = "vehicles/semi/semi_cab_s.dds";
    normalMap[2] = "vehicles/semi/semi_cab_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_cab_d.dds";
    specularMap[1] = "vehicles/semi/semi_cab_s.dds";
    normalMap[1] = "vehicles/semi/semi_cab_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_cab_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_frame)
{
    mapTo = "semi_frame";
    diffuseMap[1] = "vehicles/semi/semi_frame_d.dds";
    specularMap[1] = "vehicles/semi/semi_frame_s.dds";
    normalMap[1] = "vehicles/semi/semi_frame_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_frame_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_mixbody)
{
    mapTo = "semi_mixbody";
    diffuseMap[2] = "vehicles/semi/semi_mixbody_c.dds";
    specularMap[2] = "vehicles/semi/semi_mixbody_s.dds";
    normalMap[2] = "vehicles/semi/semi_mixbody_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_mixbody_d.dds";
    specularMap[1] = "vehicles/semi/semi_mixbody_s.dds";
    normalMap[1] = "vehicles/semi/semi_mixbody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_mixbody_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_mixdrum)
{
    mapTo = "semi_mixdrum";
    diffuseMap[2] = "vehicles/semi/semi_mixdrum_c.dds";
    specularMap[2] = "vehicles/semi/semi_mixdrum_s.dds";
    normalMap[2] = "vehicles/semi/semi_mixdrum_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_mixdrum_d.dds";
    specularMap[1] = "vehicles/semi/semi_mixdrum_s.dds";
    normalMap[1] = "vehicles/semi/semi_mixdrum_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_mixdrum_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    //instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(semi_engine)
{
    mapTo = "semi_engine";
    diffuseMap[1] = "vehicles/semi/semi_engine_d.dds";
    specularMap[1] = "vehicles/semi/semi_engine_s.dds";
    normalMap[1] = "vehicles/semi/semi_engine_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_engine_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_mudflap)
{
    mapTo = "semi_mudflap";
    diffuseMap[0] = "semi_mudflap_d.dds";
    normalMap[0] = "semi_mudflap_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    specularMap[0] = "semi_mudflap_s.dds";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(semi_glass)
{
    mapTo = "semi_glass";
    reflectivityMap[0] = "vehicles/common/null2.dds";
    diffuseMap[0] = "vehicles/semi/semi_glass_d.dds";
    specularMap[0] = "vehicles/semi/semi_glass_s.dds";
    diffuseMap[1] = "vehicles/semi/semi_glass_da.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_glass_int)
{
    mapTo = "semi_glass_int";
    diffuseMap[0] = "vehicles/semi/semi_glass_d.dds";
    specularMap[0] = "vehicles/semi/semi_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_glass_dmg)
{
    mapTo = "semi_glass_dmg";
    diffuseMap[0] = "vehicles/semi/semi_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/semi/semi_glass_da.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights)
{
    mapTo = "semi_lights";
    diffuseMap[1] = "vehicles/semi/semi_lights_d.dds";
    specularMap[1] = "vehicles/semi/semi_lights_s.dds";
    normalMap[1] = "vehicles/semi/semi_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights_on)
{
    mapTo = "semi_lights_on";
    diffuseMap[2] = "vehicles/semi/semi_lights_g.dds";
    specularMap[2] = "vehicles/semi/semi_lights_s.dds";
    normalMap[2] = "vehicles/semi/semi_lights_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_lights_d.dds";
    specularMap[1] = "vehicles/semi/semi_lights_s.dds";
    normalMap[1] = "vehicles/semi/semi_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights_on_intense)
{
    mapTo = "semi_lights_on_intense";
    diffuseMap[2] = "vehicles/semi/semi_lights_g.dds";
    specularMap[2] = "vehicles/semi/semi_lights_s.dds";
    normalMap[2] = "vehicles/semi/semi_lights_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_lights_d.dds";
    specularMap[1] = "vehicles/semi/semi_lights_s.dds";
    normalMap[1] = "vehicles/semi/semi_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights_dmg)
{
    mapTo = "semi_lights_dmg";
    diffuseMap[1] = "vehicles/semi/semi_lights_dmg_d.dds";
    specularMap[1] = "vehicles/semi/semi_lights_dmg_s.dds";
    normalMap[1] = "vehicles/semi/semi_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_gauges)
{
    mapTo = "semi_gauges";
    diffuseMap[1] = "vehicles/semi/semi_gauges_d.dds";
    specularMap[1] = "vehicles/semi/semi_gauges_s.dds";
    normalMap[1] = "vehicles/semi/semi_gauges_n.dds";
    diffuseMap[0] = "vehicles/semi/semi_gauges_d.dds";
    specularMap[0] = "vehicles/semi/semi_gauges_s.dds";
    normalMap[0] = "vehicles/semi/semi_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "0";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(semi_gauges_on)
{
    mapTo = "semi_gauges_on";
    diffuseMap[1] = "vehicles/semi/semi_gauges_d.dds";
    specularMap[1] = "vehicles/semi/semi_gauges_s.dds";
    normalMap[1] = "vehicles/semi/semi_gauges_n.dds";
    diffuseMap[0] = "vehicles/semi/semi_gauges_d.dds";
    specularMap[0] = "vehicles/semi/semi_gauges_s.dds";
    normalMap[0] = "vehicles/semi/semi_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(semi_interior)
{
    mapTo = "semi_interior";
    normalMap[0] = "vehicles/semi/semi_interior_n.dds";
    diffuseMap[0] = "vehicles/semi/semi_interior_d.dds";
    specularMap[0] = "vehicles/semi/semi_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_reverselight)
{
    mapTo = "semi_reverselight";
};

singleton Material(semi_signal_L)
{
    mapTo = "semi_signal_L";
};

singleton Material(semi_signal_R)
{
    mapTo = "semi_signal_R";
};

singleton Material(semi_lowbeam)
{
    mapTo = "semi_lowbeam";
};

singleton Material(semi_highbeam)
{
    mapTo = "semi_highbeam";
};

singleton Material(semi_taillight)
{
    mapTo = "semi_taillight";
};

singleton Material(semi_runninglight)
{
    mapTo = "semi_runninglight";
};

singleton Material(van_signal_L)
{
    mapTo = "van_signal_L";
};

singleton Material(van_signal_R)
{
    mapTo = "van_signal_R";
};

singleton Material(van_taillight)
{
    mapTo = "van_taillight";
};

singleton Material(van_taillight_L)
{
    mapTo = "van_taillight_L";
};

singleton Material(van_taillight_R)
{
    mapTo = "van_taillight_R";
};

singleton Material(van_headlight)
{
    mapTo = "van_headlight";
};

singleton Material(van_chmsl)
{
    mapTo = "van_chmsl";
};

singleton Material(van_reverselight)
{
    mapTo = "van_reverselight";
};

singleton Material(van_runninglight)
{
    mapTo = "van_runninglight";
};

singleton Material(van_runningbrakelight)
{
    mapTo = "van_runningbrakelight";
};

singleton Material(semi_sleeper)
{
    mapTo = "semi_sleeper";
    diffuseMap[2] = "vehicles/semi/semi_sleeper_c.dds";
    specularMap[2] = "vehicles/semi/semi_sleeper_s.dds";
    normalMap[2] = "vehicles/semi/semi_sleeper_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_sleeper_d.dds";
    specularMap[1] = "vehicles/semi/semi_sleeper_s.dds";
    normalMap[1] = "vehicles/semi/semi_sleeper_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_sleeper_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_sleepergrille)
{
    mapTo = "semi_sleepergrille";
    diffuseMap[1] = "vehicles/semi/semi_sleeper_d.dds";
    specularMap[1] = "vehicles/semi/semi_sleeper_s.dds";
    normalMap[1] = "vehicles/semi/semi_sleeper_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_sleeper_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(trailerpmxx)
{
 mapTo = "trailer_lights_brake";
 diffuseMap[0] = "vehicles/semi/plain.dds";
};


singleton Material(trailercar)
{
 mapTo = "t75_cartrailer";
 diffuseMap[0] = "vehicles/semi/car.dds";
};

singleton Material(trailerpm)
{
 mapTo = "trailerplainmat";
 diffuseMap[0] = "vehicles/semi/plain.dds";
};

singleton Material(trailerpm2)
{
 mapTo = "trailerplainmat2";
 diffuseMap[0] = "vehicles/semi/plain.dds";
};

singleton Material(trailershtuffs)
{
 mapTo = "d55f2f5781250fb87489de849e59c485fa0157";
 diffuseMap[0] = "vehicles/semi/plain.dds";
};

singleton Material(trailershitlba)
{
 mapTo = "lowboymat_a";
 diffuseMap[0] = "vehicles/semi/overweight.dds";
};

singleton Material(pureblack_trailer_1)
{
 mapTo = "trailer_sparetire";
 diffuseColor[0] = "0.15 0.15 0.15 1";
};

singleton Material(pureblack_trailer_0)
{
 mapTo = "_vehicle_wheel_steel_wheel__dif_spec_add_env_";
 diffuseColor[0] = "0.15 0.15 0.15 1";
};

singleton Material(trailershitrt1)
{
 mapTo = "container_plain";
 diffuseMap[0] = "vehicles/semi/random.dds";
};

singleton Material(trailershitrt0)
{
 mapTo = "containerbasic_plain";
 diffuseMap[0] = "vehicles/semi/random.dds";
};


